<template>
  <el-container >
    <div v-title :data-title="titleName" class="main"/>
    <div :class="classObj" class="app-wrapper">
      <el-header style="text-align: left; padding: 0">
        <navbar />
      </el-header>
      <el-container>
        <el-container>
          <el-aside width="260px">
            <sidebar class="sidebar-container"/>
          </el-aside>
          <el-main style="background-color: #DFE5EB;padding: 30px">
            <div class="main-container">
              <app-main />
            </div>
          </el-main>
        </el-container>
      </el-container>
      <div v-if="device==='mobile'&&sidebar.opened" class="drawer-bg" @click="handleClickOutside" />
    </div>
    <el-footer height="20px">
      <div class="bottom-container">
        <span>Copyright©2017 中国科学院苏州纳米技术与纳米仿生研究所 苏ICP备10220403号-6</span>
      </div>
    </el-footer>
  </el-container>
</template>

<script>
import { Navbar, Sidebar, AppMain, TagsView } from './components'
import ResizeMixin from './mixin/ResizeHandler'
import { mapGetters } from 'vuex'

export default {
  name: 'Layout',
  components: {
    Navbar,
    Sidebar,
    AppMain,
    TagsView
  },
  mixins: [ResizeMixin],
  data() {
    return {
      path: null,
      WarningInfo: null,
      titleName: '众泰'
    }
  },
  mounted() {
  },
  computed: {
    ...mapGetters([
      'userType',
      'instituteId',
      'instituteName',
      'fullname'
    ]),
    sidebar() {
      return this.$store.state.app.sidebar
    },
    device() {
      return this.$store.state.app.device
    },
    classObj() {
      return {
        // hideSidebar: this.sidebar.opened,
        openSidebar: this.sidebar.opened,
        withoutAnimation: this.sidebar.withoutAnimation
        // mobile: this.device === 'mobile'
      }
    }
  },
  methods: {
    handleClickOutside() {
      this.$store.dispatch('closeSideBar', { withoutAnimation: false })
    },
  }
}
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
  @import "~@/styles/mixin.scss";
  .app-wrapper {
    @include clearfix;
    position: relative;
    height: 100%;
    width: 100%;
    &.mobile.openSidebar{
      position: fixed;
      top: 0;
    }
  }
  .drawer-bg {
    background: #000;
    opacity: 0.3;
    width: 100%;
    top: 0;
    height: 100%;
    position: absolute;
    z-index: 999;
  }
  .bottom-container{
    position: absolute;
    left: 35%;
  }
</style>
